in scala
object Predef

`object` Predef
  `extends` java.lang.Object
  `with` scala.ScalaObject

  The `Predef` object provides definitions that are accessible in all Scala compilation units without explicit qualification.

Class Summary
| `class` ArrowAssoc [a]

Object Summary
| `object` Pair
| `object` Triple

Constructor Summary
| `def` this

Type Summary
| `type` All
| `type` AllRef
| `type` ArrayIndexOutOfBoundsException
| `type` Class
| `type` ClassCastException
| `type` Error
| `type` Exception
| `type` Function [-a, +b]
| `type` IllegalArgumentException
| `type` IndexOutOfBoundsException
| `type` Map [a, b]
| `type` NoSuchElementException
| `type` NullPointerException
| `type` NumberFormatException
| `type` Pair [+a, +b]
| `type` RuntimeException
| `type` Set [a]
| `type` String
| `type` StringBuilder
| `type` Throwable
| `type` Triple [+a, +b, +c]
| `type` UnsupportedOperationException
| `type` boolean
| `type` byte
| `type` char
| `type` double
| `type` float
| `type` int
| `type` long
| `type` short
| `type` unit

Val Summary
| `val` $scope : scala.xml.TopScope.type
| `val` Map : scala.collection.immutable.Map.type
| `val` Set : scala.collection.immutable.Set.type

Def Summary
| `def` Tuple [a1, a2, a3, a4, a5, a6, a7, a8, a9] (x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6, x7: a7, x8: a8, x9: a9) : scala.Tuple9[a1, a2, a3, a4, a5, a6, a7, a8, a9]
| `def` Tuple [a1, a2, a3, a4, a5, a6, a7, a8] (x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6, x7: a7, x8: a8) : scala.Tuple8[a1, a2, a3, a4, a5, a6, a7, a8]
| `def` Tuple [a1, a2, a3, a4, a5, a6, a7] (x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6, x7: a7) : scala.Tuple7[a1, a2, a3, a4, a5, a6, a7]
| `def` Tuple [a1, a2, a3, a4, a5, a6] (x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6) : scala.Tuple6[a1, a2, a3, a4, a5, a6]
| `def` Tuple [a1, a2, a3, a4, a5] (x1: a1, x2: a2, x3: a3, x4: a4, x5: a5) : scala.Tuple5[a1, a2, a3, a4, a5]
| `def` Tuple [a1, a2, a3, a4] (x1: a1, x2: a2, x3: a3, x4: a4) : scala.Tuple4[a1, a2, a3, a4]
| `def` Tuple [a1, a2, a3] (x1: a1, x2: a2, x3: a3) : scala.Tuple3[a1, a2, a3]
| `def` Tuple [a1, a2] (x1: a1, x2: a2) : scala.Tuple2[a1, a2]
| `def` Tuple [a1] (x1: a1) : scala.Tuple1[a1]
`implicit` | `def` any2ArrowAssoc [a] (x: a) : scala.Predef.ArrowAssoc[a]
`implicit` | `def` any2stringadd (x: scala.Any) : scala.runtime.StringAdd
| `def` assert (assertion: scala.Boolean) : scala.Unit
| `def` assert (assertion: scala.Boolean, message: scala.Any) : scala.Unit
| `def` assume (assumption: scala.Boolean) : scala.Unit
| `def` assume (assumption: scala.Boolean, message: scala.Any) : scala.Unit
`implicit` | `def` boolean2Boolean (x: scala.Boolean) : java.lang.Boolean
`implicit` | `def` booleanWrapper (x: scala.Boolean) : scala.runtime.RichBoolean
`implicit` | `def` byte2Byte (x: scala.Byte) : java.lang.Byte
`implicit` | `def` byte2double (x: scala.Byte) : scala.Double
`implicit` | `def` byte2float (x: scala.Byte) : scala.Float
`implicit` | `def` byte2int (x: scala.Byte) : scala.Int
`implicit` | `def` byte2long (x: scala.Byte) : scala.Long
`implicit` | `def` byte2short (x: scala.Byte) : scala.Short
`implicit` | `def` byteWrapper (x: scala.Byte) : scala.runtime.RichByte
`implicit` | `def` char2Character (x: scala.Char) : java.lang.Character
`implicit` | `def` char2double (x: scala.Char) : scala.Double
`implicit` | `def` char2float (x: scala.Char) : scala.Float
`implicit` | `def` char2int (x: scala.Char) : scala.Int
`implicit` | `def` char2long (x: scala.Char) : scala.Long
`implicit` | `def` charWrapper (c: scala.Char) : scala.runtime.RichChar
| `def` classOf [T] : java.lang.Class Return the runtime representation of a class type.
| `def` currentThread : java.lang.Thread
`implicit` | `def` double2Double (x: scala.Double) : java.lang.Double
`implicit` | `def` doubleWrapper (x: scala.Double) : scala.runtime.RichDouble
| `def` error (message: java.lang.String) : scala.Nothing
`implicit` | `def` exceptionWrapper (exc: java.lang.Throwable) : scala.runtime.RichException
| `def` exit (status: scala.Int) : scala.Nothing
| `def` exit : scala.Nothing
`implicit` | `def` float2Float (x: scala.Float) : java.lang.Float
`implicit` | `def` float2double (x: scala.Float) : scala.Double
`implicit` | `def` floatWrapper (x: scala.Float) : scala.runtime.RichFloat
`implicit` | `def` identity [a] (x: a) : a
`implicit` | `def` int2Integer (x: scala.Int) : java.lang.Integer
`implicit` | `def` int2double (x: scala.Int) : scala.Double
`implicit` | `def` int2float (x: scala.Int) : scala.Float
`implicit` | `def` int2long (x: scala.Int) : scala.Long
`implicit` | `def` intWrapper (x: scala.Int) : scala.runtime.RichInt
`implicit` | `def` iterable2ordered [a] (xs: scala.Iterable[a])(view$0: (a) => scala.Ordered[a]) : scala.Ordered[scala.Iterable[a]]
`implicit` | `def` long2Long (x: scala.Long) : java.lang.Long
`implicit` | `def` long2double (x: scala.Long) : scala.Double
`implicit` | `def` long2float (x: scala.Long) : scala.Float
`implicit` | `def` longWrapper (x: scala.Long) : scala.runtime.RichLong
`implicit` | `def` short2Short (x: scala.Short) : java.lang.Short
`implicit` | `def` short2double (x: scala.Short) : scala.Double
`implicit` | `def` short2float (x: scala.Short) : scala.Float
`implicit` | `def` short2int (x: scala.Short) : scala.Int
`implicit` | `def` short2long (x: scala.Short) : scala.Long
`implicit` | `def` shortWrapper (x: scala.Short) : scala.runtime.RichShort
`implicit` | `def` stringWrapper (x: java.lang.String) : scala.runtime.RichString
`implicit` | `def` tuple22ordered [a1, a2] (x: scala.Tuple2[a1, a2])(view$1: (a1) => scala.Ordered[a1], view$2: (a2) => scala.Ordered[a2]) : scala.Ordered[scala.Tuple2[a1, a2]]
`implicit` | `def` tuple32ordered [a1, a2, a3] (x: scala.Tuple3[a1, a2, a3])(view$3: (a1) => scala.Ordered[a1], view$4: (a2) => scala.Ordered[a2], view$5: (a3) => scala.Ordered[a3]) : scala.Ordered[scala.Tuple3[a1, a2, a3]]
`implicit` | `def` tuple42ordered [a1, a2, a3, a4] (x: scala.Tuple4[a1, a2, a3, a4])(view$6: (a1) => scala.Ordered[a1], view$7: (a2) => scala.Ordered[a2], view$8: (a3) => scala.Ordered[a3], view$9: (a4) => scala.Ordered[a4]) : scala.Ordered[scala.Tuple4[a1, a2, a3, a4]]
`implicit` | `def` tuple52ordered [a1, a2, a3, a4, a5] (x: scala.Tuple5[a1, a2, a3, a4, a5])(view$10: (a1) => scala.Ordered[a1], view$11: (a2) => scala.Ordered[a2], view$12: (a3) => scala.Ordered[a3], view$13: (a4) => scala.Ordered[a4], view$14: (a5) => scala.Ordered[a5]) : scala.Ordered[scala.Tuple5[a1, a2, a3, a4, a5]]
`implicit` | `def` tuple62ordered [a1, a2, a3, a4, a5, a6] (x: scala.Tuple6[a1, a2, a3, a4, a5, a6])(view$15: (a1) => scala.Ordered[a1], view$16: (a2) => scala.Ordered[a2], view$17: (a3) => scala.Ordered[a3], view$18: (a4) => scala.Ordered[a4], view$19: (a5) => scala.Ordered[a5], view$20: (a6) => scala.Ordered[a6]) : scala.Ordered[scala.Tuple6[a1, a2, a3, a4, a5, a6]]
`implicit` | `def` tuple72ordered [a1, a2, a3, a4, a5, a6, a7] (x: scala.Tuple7[a1, a2, a3, a4, a5, a6, a7])(view$21: (a1) => scala.Ordered[a1], view$22: (a2) => scala.Ordered[a2], view$23: (a3) => scala.Ordered[a3], view$24: (a4) => scala.Ordered[a4], view$25: (a5) => scala.Ordered[a5], view$26: (a6) => scala.Ordered[a6], view$27: (a7) => scala.Ordered[a7]) : scala.Ordered[scala.Tuple7[a1, a2, a3, a4, a5, a6, a7]]
`implicit` | `def` tuple82ordered [a1, a2, a3, a4, a5, a6, a7, a8] (x: scala.Tuple8[a1, a2, a3, a4, a5, a6, a7, a8])(view$28: (a1) => scala.Ordered[a1], view$29: (a2) => scala.Ordered[a2], view$30: (a3) => scala.Ordered[a3], view$31: (a4) => scala.Ordered[a4], view$32: (a5) => scala.Ordered[a5], view$33: (a6) => scala.Ordered[a6], view$34: (a7) => scala.Ordered[a7], view$35: (a8) => scala.Ordered[a8]) : scala.Ordered[scala.Tuple8[a1, a2, a3, a4, a5, a6, a7, a8]]
`implicit` | `def` tuple92ordered [a1, a2, a3, a4, a5, a6, a7, a8, a9] (x: scala.Tuple9[a1, a2, a3, a4, a5, a6, a7, a8, a9])(view$36: (a1) => scala.Ordered[a1], view$37: (a2) => scala.Ordered[a2], view$38: (a3) => scala.Ordered[a3], view$39: (a4) => scala.Ordered[a4], view$40: (a5) => scala.Ordered[a5], view$41: (a6) => scala.Ordered[a6], view$42: (a7) => scala.Ordered[a7], view$43: (a8) => scala.Ordered[a8], view$44: (a9) => scala.Ordered[a9]) : scala.Ordered[scala.Tuple9[a1, a2, a3, a4, a5, a6, a7, a8, a9]]
`implicit` | `def` unit2ordered (x: scala.Unit) : scala.Ordered[scala.Unit]

Constructor Detail

`def` this

Val Detail

`val` $scope : scala.xml.TopScope.type

`val` Map : scala.collection.immutable.Map.type

`val` Set : scala.collection.immutable.Set.type

Def Detail

`def` Tuple [a1, a2, a3, a4, a5, a6, a7, a8, a9](x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6, x7: a7, x8: a8, x9: a9): scala.Tuple9[a1, a2, a3, a4, a5, a6, a7, a8, a9]

`def` Tuple [a1, a2, a3, a4, a5, a6, a7, a8](x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6, x7: a7, x8: a8): scala.Tuple8[a1, a2, a3, a4, a5, a6, a7, a8]

`def` Tuple [a1, a2, a3, a4, a5, a6, a7](x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6, x7: a7): scala.Tuple7[a1, a2, a3, a4, a5, a6, a7]

`def` Tuple [a1, a2, a3, a4, a5, a6](x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6): scala.Tuple6[a1, a2, a3, a4, a5, a6]

`def` Tuple [a1, a2, a3, a4, a5](x1: a1, x2: a2, x3: a3, x4: a4, x5: a5): scala.Tuple5[a1, a2, a3, a4, a5]

`def` Tuple [a1, a2, a3, a4](x1: a1, x2: a2, x3: a3, x4: a4): scala.Tuple4[a1, a2, a3, a4]

`def` Tuple [a1, a2, a3](x1: a1, x2: a2, x3: a3): scala.Tuple3[a1, a2, a3]

`def` Tuple [a1, a2](x1: a1, x2: a2): scala.Tuple2[a1, a2]

`def` Tuple [a1](x1: a1): scala.Tuple1[a1]

`implicit def` any2ArrowAssoc [a](x: a): scala.Predef.ArrowAssoc[a]

`implicit def` any2stringadd (x: scala.Any): scala.runtime.StringAdd

`def` assert (assertion: scala.Boolean): scala.Unit

`def` assert (assertion: scala.Boolean, message: scala.Any): scala.Unit

`def` assume (assumption: scala.Boolean): scala.Unit

`def` assume (assumption: scala.Boolean, message: scala.Any): scala.Unit

`implicit def` boolean2Boolean (x: scala.Boolean): java.lang.Boolean

`implicit def` booleanWrapper (x: scala.Boolean): scala.runtime.RichBoolean

`implicit def` byte2Byte (x: scala.Byte): java.lang.Byte

`implicit def` byte2double (x: scala.Byte): scala.Double

`implicit def` byte2float (x: scala.Byte): scala.Float

`implicit def` byte2int (x: scala.Byte): scala.Int

`implicit def` byte2long (x: scala.Byte): scala.Long

`implicit def` byte2short (x: scala.Byte): scala.Short

`implicit def` byteWrapper (x: scala.Byte): scala.runtime.RichByte

`implicit def` char2Character (x: scala.Char): java.lang.Character

`implicit def` char2double (x: scala.Char): scala.Double

`implicit def` char2float (x: scala.Char): scala.Float

`implicit def` char2int (x: scala.Char): scala.Int

`implicit def` char2long (x: scala.Char): scala.Long

`implicit def` charWrapper (c: scala.Char): scala.runtime.RichChar

`def` classOf [T]: java.lang.Class

  Return the runtime representation of a class type.

`def` currentThread : java.lang.Thread

`implicit def` double2Double (x: scala.Double): java.lang.Double

`implicit def` doubleWrapper (x: scala.Double): scala.runtime.RichDouble

`def` error (message: java.lang.String): scala.Nothing

`implicit def` exceptionWrapper (exc: java.lang.Throwable): scala.runtime.RichException

`def` exit (status: scala.Int): scala.Nothing

`def` exit : scala.Nothing

`implicit def` float2Float (x: scala.Float): java.lang.Float

`implicit def` float2double (x: scala.Float): scala.Double

`implicit def` floatWrapper (x: scala.Float): scala.runtime.RichFloat

`implicit def` identity [a](x: a): a

`implicit def` int2Integer (x: scala.Int): java.lang.Integer

`implicit def` int2double (x: scala.Int): scala.Double

`implicit def` int2float (x: scala.Int): scala.Float

`implicit def` int2long (x: scala.Int): scala.Long

`implicit def` intWrapper (x: scala.Int): scala.runtime.RichInt

`implicit def` iterable2ordered [a](xs: scala.Iterable[a])(view$0: (a) => scala.Ordered[a]): scala.Ordered[scala.Iterable[a]]

`implicit def` long2Long (x: scala.Long): java.lang.Long

`implicit def` long2double (x: scala.Long): scala.Double

`implicit def` long2float (x: scala.Long): scala.Float

`implicit def` longWrapper (x: scala.Long): scala.runtime.RichLong

`implicit def` short2Short (x: scala.Short): java.lang.Short

`implicit def` short2double (x: scala.Short): scala.Double

`implicit def` short2float (x: scala.Short): scala.Float

`implicit def` short2int (x: scala.Short): scala.Int

`implicit def` short2long (x: scala.Short): scala.Long

`implicit def` shortWrapper (x: scala.Short): scala.runtime.RichShort

`implicit def` stringWrapper (x: java.lang.String): scala.runtime.RichString

`implicit def` tuple22ordered [a1, a2](x: scala.Tuple2[a1, a2])(view$1: (a1) => scala.Ordered[a1], view$2: (a2) => scala.Ordered[a2]): scala.Ordered[scala.Tuple2[a1, a2]]

`implicit def` tuple32ordered [a1, a2, a3](x: scala.Tuple3[a1, a2, a3])(view$3: (a1) => scala.Ordered[a1], view$4: (a2) => scala.Ordered[a2], view$5: (a3) => scala.Ordered[a3]): scala.Ordered[scala.Tuple3[a1, a2, a3]]

`implicit def` tuple42ordered [a1, a2, a3, a4](x: scala.Tuple4[a1, a2, a3, a4])(view$6: (a1) => scala.Ordered[a1], view$7: (a2) => scala.Ordered[a2], view$8: (a3) => scala.Ordered[a3], view$9: (a4) => scala.Ordered[a4]): scala.Ordered[scala.Tuple4[a1, a2, a3, a4]]

`implicit def` tuple52ordered [a1, a2, a3, a4, a5](x: scala.Tuple5[a1, a2, a3, a4, a5])(view$10: (a1) => scala.Ordered[a1], view$11: (a2) => scala.Ordered[a2], view$12: (a3) => scala.Ordered[a3], view$13: (a4) => scala.Ordered[a4], view$14: (a5) => scala.Ordered[a5]): scala.Ordered[scala.Tuple5[a1, a2, a3, a4, a5]]

`implicit def` tuple62ordered [a1, a2, a3, a4, a5, a6](x: scala.Tuple6[a1, a2, a3, a4, a5, a6])(view$15: (a1) => scala.Ordered[a1], view$16: (a2) => scala.Ordered[a2], view$17: (a3) => scala.Ordered[a3], view$18: (a4) => scala.Ordered[a4], view$19: (a5) => scala.Ordered[a5], view$20: (a6) => scala.Ordered[a6]): scala.Ordered[scala.Tuple6[a1, a2, a3, a4, a5, a6]]

`implicit def` tuple72ordered [a1, a2, a3, a4, a5, a6, a7](x: scala.Tuple7[a1, a2, a3, a4, a5, a6, a7])(view$21: (a1) => scala.Ordered[a1], view$22: (a2) => scala.Ordered[a2], view$23: (a3) => scala.Ordered[a3], view$24: (a4) => scala.Ordered[a4], view$25: (a5) => scala.Ordered[a5], view$26: (a6) => scala.Ordered[a6], view$27: (a7) => scala.Ordered[a7]): scala.Ordered[scala.Tuple7[a1, a2, a3, a4, a5, a6, a7]]

`implicit def` tuple82ordered [a1, a2, a3, a4, a5, a6, a7, a8](x: scala.Tuple8[a1, a2, a3, a4, a5, a6, a7, a8])(view$28: (a1) => scala.Ordered[a1], view$29: (a2) => scala.Ordered[a2], view$30: (a3) => scala.Ordered[a3], view$31: (a4) => scala.Ordered[a4], view$32: (a5) => scala.Ordered[a5], view$33: (a6) => scala.Ordered[a6], view$34: (a7) => scala.Ordered[a7], view$35: (a8) => scala.Ordered[a8]): scala.Ordered[scala.Tuple8[a1, a2, a3, a4, a5, a6, a7, a8]]

`implicit def` tuple92ordered [a1, a2, a3, a4, a5, a6, a7, a8, a9](x: scala.Tuple9[a1, a2, a3, a4, a5, a6, a7, a8, a9])(view$36: (a1) => scala.Ordered[a1], view$37: (a2) => scala.Ordered[a2], view$38: (a3) => scala.Ordered[a3], view$39: (a4) => scala.Ordered[a4], view$40: (a5) => scala.Ordered[a5], view$41: (a6) => scala.Ordered[a6], view$42: (a7) => scala.Ordered[a7], view$43: (a8) => scala.Ordered[a8], view$44: (a9) => scala.Ordered[a9]): scala.Ordered[scala.Tuple9[a1, a2, a3, a4, a5, a6, a7, a8, a9]]

`implicit def` unit2ordered (x: scala.Unit): scala.Ordered[scala.Unit]